<template>
    <div class="row">
        <div class="col-10 box-body ">
            <ul class="chat">
                <li class="" v-for="message in messages">
                    <div class="chat-body clearfix">
                        <div class="header">
                            <strong class="primary-font">
                                {{ message.user ? message.user.name : 'Guest' }} sent
                            </strong>
                        </div>
                        <p>
                            {{ message.message }}
                        </p>
                    </div>
                </li>
            </ul>
        </div>
        <div class="col-2">
            <ul class="list-unstyled">
                <li class="" v-for="chat in chats">
                    <a :href="'/chats/user/' + chat.user.id">
                        {{chat.user.name}}
                    </a>
                </li>
            </ul>
        </div>
    </div>
</template>

<script>
export default {
    props: ['messages', 'chats', 'room'],
};
</script>
